Bug 2095660 - Please branch and build python-fasjson-client in epel9
Summary: Please branch and build python-fasjson-client in epel9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-fasjson-client
Version: epel9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George 🀠
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2056963 2125977
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-10 07:12 UTC by farrotin
Modified: 2023-03-02 02:25 UTC (History)
5 users (show)

Fixed In Version: python-fasjson-client-1.0.7-7.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-02 02:25:47 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description farrotin 2022-06-10 07:12:04 UTC
Official instructions to interact with fasjson.fedoraproject.org (to query it or just to retrieve a valid user TLS cert) is through fasjson-client : it's available on epel8 and all fedora branches but not yet on epel9

Please consider branching and rebuilding :)

Comment 1 Nils Philippsen 2022-06-10 15:33:17 UTC
If only rebranching & rebuilding did it…

I went down the list of direct (bravado) and indirect dependencies of fasjson-client manually here on F-36 (so the list could be incomplete if I made a mistake) and these are missing from CS9+EPEL9/next:

root@cs9:~> dnf repolist
repo id                        repo name
appstream                      CentOS Stream 9 - AppStream
baseos                         CentOS Stream 9 - BaseOS
crb                            CentOS Stream 9 - CRB
epel                           Extra Packages for Enterprise Linux 9 - x86_64
epel-next                      Extra Packages for Enterprise Linux 9 - Next - x86_64
extras-common                  CentOS Stream 9 - Extras packages
root@cs9:~> for dep in bravado bravado-core monotonic msgpack python-dateutil pyyaml simplejson six typing-extensions jsonref jsonschema{,'[format]'} pytz simplejson swagger-spec-validator idna jsonpointer rfc3987 strict-rfc3339 webcolors; do [ -z "$(dnf --quiet repoquery --whatprovides "python3dist($dep)")" ] && echo "$dep"; done
bravado
bravado-core
monotonic
jsonref
jsonschema[format]
swagger-spec-validator
rfc3987
strict-rfc3339
webcolors
root@cs9:~>

NB, not sure how it is with Python package extras in EL9, so the jsonschema[format] dep (which is python3-jsonschema+format in Fedora) might be a mute issue.

@carl do you think there's a more efficient way to tick these off than opening bugs against these components individually?

Comment 2 Carl George 🀠 2022-06-10 16:31:09 UTC
Sadly no, opening individual bugs is the best approach we have.  I found an existing one for python-monotonic [0], and set this bug to depend on it.  The other bugs will need to be created (unless one of us already is a maintainer of the package).

Python extras work the same in RHEL9/EPEL9 as they do in Fedora (examples [1] [2]).  The only potential issue with python3-jsonschema+format is that python3-jsonschema is part of RHEL9, not EPEL9, so it depends on the RHEL maintainers agreeing to do it.  Someone could send the proposed changes as a pull request in GitLab [3].

[0] bug 2056963
[1] https://gitlab.com/redhat/centos-stream/rpms/python-requests/-/blob/c9s/python-requests.spec#L71
[2] https://src.fedoraproject.org/rpms/python-jwt/blob/epel9/f/python-jwt.spec#_37
[3] https://gitlab.com/redhat/centos-stream/rpms/python-jsonschema

Comment 3 Carl George 🀠 2022-06-10 17:27:41 UTC
Before those bugs are opened, I think the dependencies need to be validated.  I started looking at rfc3987 and realized that fasjson-client doesn't import that anywhere.  The dependencies should be trimmed down to just what is actually needed.

Comment 4 farrotin 2023-01-25 16:28:52 UTC
We got some contributors asking about that and so far the only option we can give them at this stage is to use a stream8 container to be able to use it ...

Comment 5 Carl George 🀠 2023-02-15 09:14:05 UTC
I've been hammering away at this, and I think I got a working solution in copr.  I've already opened many upstream and dist-git pull requests related to getting this to build.  There are a few more to go, and then a few epel9 branch requests, but now that I know it builds it should go smoothly from here on out.  If anyone needs this faster feel free to install it from my copr, just be prepared to distro-sync to switch to the official packages once this bug is closed.

https://copr.fedorainfracloud.org/coprs/carlwgeorge/fasjson-client/

Comment 6 Fedora Update System 2023-02-21 18:53:22 UTC
FEDORA-EPEL-2023-ac99251703 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-ac99251703

Comment 7 Fedora Update System 2023-02-22 11:44:37 UTC
FEDORA-EPEL-2023-ac99251703 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-ac99251703

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-03-02 02:25:47 UTC
FEDORA-EPEL-2023-ac99251703 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.